Public Member Functions

# wxGridCellChoiceEditor Class Reference
[Grid Related Classes]

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellChoiceEditor:
[legend]

## Detailed Description

Grid cell editor for string data providing the user a choice from a list of strings.

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellEditor, wxGridCellAutoWrapStringEditor, wxGridCellBoolEditor, wxGridCellEnumEditor, wxGridCellFloatEditor, wxGridCellNumberEditor, wxGridCellTextEditor

## Public Member Functions
| wxGridCellChoiceEditor (size_t count=0, const wxString choices[]=NULL, bool allowOthers=false)
| Choice cell renderer ctor.
| wxGridCellChoiceEditor (const wxArrayString &choices, bool allowOthers=false)
| Choice cell renderer ctor.
virtual void | SetParameters (const wxString &params)
| Parameters string format is "item1[,item2[...,itemN]]".

List of all members.

## Constructor & Destructor Documentation

wxGridCellChoiceEditor::wxGridCellChoiceEditor | ( | size_t | count = `0`,
|  | const wxString | choices[] = `NULL`,
|  | bool | allowOthers = `false` |
| ) |  |  |

Choice cell renderer ctor.

Parameters:

  | count | Number of strings from which the user can choose.
  | choices | An array of strings from which the user can choose.
  | allowOthers | If allowOthers is true, the user can type a string not in choices array.

wxGridCellChoiceEditor::wxGridCellChoiceEditor | ( | const wxArrayString & | choices,
|  | bool | allowOthers = `false` |
| ) |  |  |

Choice cell renderer ctor.

Parameters:

  | choices | An array of strings from which the user can choose.
  | allowOthers | If allowOthers is true, the user can type a string not in choices array.

## Member Function Documentation

virtual void wxGridCellChoiceEditor::SetParameters | ( | const wxString & | params | ) | `[virtual]`

Parameters string format is "item1[,item2[...,itemN]]".

|  | [ top ]